searchNodes=[{"type":"module","title":"RtfParser","doc":"RtfParser is a package that can be used to parse a RTF document. This module contains two functions: scan/1 scans the given RTF document and returns a list of tokens. parse/1 parses the given list of tokens and returns a structured RTF document. To following example shows the basic usage of the RtfParser package: rtf = &quot;{ \\r tf1 \\a nsi \\a nsicpg1252 \\d eff0 \\n ouicompat \\d eflang1033{ \\f onttbl{ \\f 0 \\f nil \\f charset0 Calibri;}} { \\* \\g enerator Riched20 10.0.18362} \\v iewkind4 \\u c1 \\p ard \\s a200 \\s l276 \\s lmult1 \\f 0 \\f s22 \\l ang9 This is a \\b RTF document \\b 0 with some more text \\p ar } &quot; { :ok , tokens } = RtfParser . scan ( rtf ) { :ok , document } = RtfParser . parse ( tokens ) IO . inspect ( document )","ref":"RtfParser.html"},{"type":"function","title":"RtfParser.parse/1","doc":"This function parses the given list of tokens and returns a structured RTF document. The structured RTF document is represented as a RtfDocument struct. The RtfDocument contains a Header struct and a list of StyleBlock structs. A StyleBlock struct contains all information about the formatting of a specific block of text. It contains a Painter struct and a Paragraph struct. Lastly it contains the actual text of the block.","ref":"RtfParser.html#parse/1"},{"type":"function","title":"RtfParser.scan/1","doc":"This function scans the given RTF document and returns a list of tokens. These tokens represent the RTF document in a structured way.","ref":"RtfParser.html#scan/1"},{"type":"module","title":"RtfParser.Font","doc":"RtfParser.Font is a struct that represents a font of a parsed RTF document.","ref":"RtfParser.Font.html"},{"type":"module","title":"RtfParser.Header","doc":"RtfParser.Header is a struct that represents the header of a parsed RTF document.","ref":"RtfParser.Header.html"},{"type":"module","title":"RtfParser.Indentation","doc":"RtfParser.Indent is a struct that represents the indent of a parsed RTF document.","ref":"RtfParser.Indentation.html"},{"type":"module","title":"RtfParser.Painter","doc":"RtfParser.Painter is a struct that represents the painter of a parsed RTF document.","ref":"RtfParser.Painter.html"},{"type":"module","title":"RtfParser.Paragraph","doc":"RtfParser.Paragraph is a struct that represents a paragraph of a parsed RTF document.","ref":"RtfParser.Paragraph.html"},{"type":"module","title":"RtfParser.RtfDocument","doc":"RtfParser.RtfDocument is a struct that represents a parsed RTF document.","ref":"RtfParser.RtfDocument.html"},{"type":"module","title":"RtfParser.Spacing","doc":"RtfParser.Spacing is a struct that represents the spacing of a parsed RTF document.","ref":"RtfParser.Spacing.html"},{"type":"module","title":"RtfParser.StyleBlock","doc":"RtfParser.StyleBlock is a struct that represents a style block of a parsed RTF document.","ref":"RtfParser.StyleBlock.html"},{"type":"module","title":"RtfParser.StyleSheet","doc":"","ref":"RtfParser.StyleSheet.html"}]